summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSven Eden <yamakuzure@gmx.net>2017-03-14 11:30:17 +0100
committerSven Eden <yamakuzure@gmx.net>2017-03-14 12:12:32 +0100
commit3d1092eab0f4a5c771225c78072a7b6eccb82849 (patch)
tree2b1603e5a0aa1e7e42f4bb9bbcac73bfac46e63d /autogen.sh
parentd76bb3c179b7a32b109e39aa87ff09c8f5a8c178 (diff)
Major cleanup of all leftovers after rebasing on master.
The patching of elogind in several steps with only partly rebasing on a common commit with upstream, left the tree in a state, that was unmergeable with master. By rebasing on master and manually cleaning up all commits, this merge is now possible. However, this process left some orphans, that are cleanup now.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh63
1 files changed, 7 insertions, 56 deletions
diff --git a/autogen.sh b/autogen.sh
index 2d4acdfef..8a88a3447 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -21,63 +21,14 @@ oldpwd=$(pwd)
topdir=$(dirname $0)
cd $topdir
-if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
- # This part is allowed to fail
- cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
- chmod +x .git/hooks/pre-commit && \
- echo "Activated pre-commit hook." || :
-fi
-
+# We do not need this, we are not systemd upstream!
+#if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
+# # This part is allowed to fail
+# cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
+# chmod +x .git/hooks/pre-commit && \
+# echo "Activated pre-commit hook." || :
+#fi
intltoolize --force --automake
autoreconf --force --install --symlink
-libdir() {
- echo $(cd "$1/$(gcc -print-multi-os-directory)"; pwd)
-}
-
-args="\
---sysconfdir=/etc \
---localstatedir=/var \
---libdir=$(libdir /usr/lib) \
-"
-
-if [ -f "$topdir/.config.args" ]; then
- args="$args $(cat $topdir/.config.args)"
-fi
-
-if [ ! -L /bin ]; then
-args="$args \
---with-rootprefix=/ \
---with-rootlibdir=$(libdir /lib) \
-"
-fi
-
cd $oldpwd
-
-if [ "x$1" = "xc" ]; then
- $topdir/configure CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus $args
- make clean
-elif [ "x$1" = "xt" ]; then
- $topdir/configure CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus --enable-terminal $args
- make clean
-elif [ "x$1" = "xg" ]; then
- $topdir/configure CFLAGS='-g -Og -ftrapv' --enable-compat-libs --enable-kdbus $args
- make clean
-elif [ "x$1" = "xa" ]; then
- $topdir/configure CFLAGS='-g -O0 -Wsuggest-attribute=pure -Wsuggest-attribute=const -ftrapv' --enable-compat-libs --enable-kdbus $args
- make clean
-elif [ "x$1" = "xl" ]; then
- $topdir/configure CC=clang CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus $args
- make clean
-elif [ "x$1" = "xs" ]; then
- scan-build $topdir/configure CFLAGS='-std=gnu99 -g -O0 -ftrapv' --enable-kdbus $args
- scan-build make
-else
- echo
- echo "----------------------------------------------------------------"
- echo "Initialized build system. For a common configuration please run:"
- echo "----------------------------------------------------------------"
- echo
- echo "$topdir/configure CFLAGS='-g -O0 -ftrapv' --enable-compat-libs --enable-kdbus $args"
- echo
-fi